%define _name control-center
%define ver_major 2.6
%def_disable static

Name: gnome-%_name
Version: %ver_major.1
Release: alt1

Summary: GNOME Control Center
License: GPL/LGPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2
Patch: %_name-2.5.3-alt-makefile.patch

Obsoletes: %_name
Provides: %_name = %version-%release

%define GConf_ver 2.6.0
%define pango_ver 1.4.0
%define gtk_ver 2.4.0
%define desktop_ver 2.6.1
%define libgnome_ver 2.6.1.1
%define libbonobo_ver 2.6.0
%define libgnomeui_ver 2.6.0
%define libbonoboui_ver 2.5.4
%define gnome_vfs_ver 2.6.1.1
%define glade2_ver 2.0.1-alt2
%define metacity_ver 2.8.0
%define libxklavier_ver 1.02

PreReq: GConf2 >= %GConf_ver
Requires: xscreensaver
Requires: libpango >= %pango_ver
Requires: libgtk+2 >= %gtk_ver
Requires: gnome-desktop >= %desktop_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libgnome >= %libgnome_ver
Requires: libbonobo2 >= %libbonobo_ver
Requires: libbonoboui >= %libbonoboui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libglade2 >= %glade2_ver
Requires: libmetacity >= %metacity_ver
Requires: libxklavier >= %libxklavier_ver

BuildPreReq: kernel-headers-std

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: libgnome-desktop-devel >= %desktop_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libglade2-devel >= %glade2_ver
BuildPreReq: libmetacity-devel >= %metacity_ver
BuildPreReq: gnome-common >= 2.4.0
BuildPreReq: menu-devel
BuildPreReq: libxklavier-devel >= %libxklavier_ver

# Automatically added by buildreq on Fri Apr 16 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs esound-devel fontconfig-devel freetype2-devel gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel gstreamer-devel gstreamer-plugins-devel libGConf2-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libeel2-devel libgail-devel libglade2-devel libgnome-desktop-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libmetacity-devel libnautilus-devel libpango-devel libpopt-devel libstartup-notification-devel libstdc++-devel libxklavier-devel libxml2-devel perl-XML-Parser pkgconfig zlib-devel

%description
GNOME (the GNU Network Object Model Environment) is an attractive and
easy-to-use GUI desktop environment. The control-center package
provides the GNOME Control Center utilities that allow you to setup
and configure your system's GNOME environment (things like the desktop
background and theme, the screensaver, the window manager, system
sounds, and mouse behavior).

If you install GNOME, you need to install control-center.

%package devel
Summary: GNOME Control Center development files
Group: Development/GNOME and GTK+
Obsoletes: %_name-devel
Provides: %_name-devel = %version-%release
Requires: %name = %version-%release
Requires: libpango-devel >= %pango_ver
Requires: libgtk+2-devel >= %gtk_ver
Requires: libGConf2-devel >= %GConf_ver
Requires: libgnome-desktop-devel >= %desktop_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: libgnome-devel >= %libgnome_ver
Requires: libbonobo2-devel >= %libbonobo_ver
Requires: libbonoboui-devel >= %libbonoboui_ver
Requires: gnome-vfs2-devel >= %gnome_vfs_ver
Requires: libglade2-devel >= %glade2_ver

%description devel

If you're interested in developing panels for the GNOME control center,
you'll want to install this package.

Control-center-devel helps you create the 'capplets' which are used in
the control center.

%package devel-static
Summary: GNOME control-center static libraries
Group: Development/GNOME and GTK+
Obsoletes: %_name-devel-static
Provides: %_name-devel-static = %version-%release
Requires: %name-devel = %version-%release

%description devel-static
Static libraries that could be used to develop GNOME Control Center
'capplets'.

%define _libexecdir %_libdir/%_name-2.0

%prep
%setup -q -n %_name-%version
%patch -p1

# always run without nau.
%__subst 's,\(%name\),\1 --use-shell,' %_name/gnomecc.desktop.in

rename .in .in.in gnome-settings-daemon/*.in

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal -I %_datadir/aclocal/gnome2-macros
%__autoheader
%__automake -a -c -f
%__autoconf

export LDFLAGS=-lasound
%configure \
	%{subst_enable static} \
	--disable-schemas-install

# SMP-incompatible build
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%__mkdir_p %buildroot%_datadir/%_name

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Configuration/Gnome" \
    %buildroot%_datadir/applications/gnomecc.desktop \
    %buildroot%_menudir/%name "gnome"

# remove non-packaged files
%__rm -f %buildroot%_libdir/bonobo/*.la
%__rm -f %buildroot%_libdir/gnome-vfs-2.0/modules/*.la
%__rm -f %buildroot%_libdir/window-manager-settings/*.la

%find_lang %_name-2.0

%define schemas apps_gnome_settings_daemon_default_editor apps_gnome_settings_daemon_screensaver desktop_gnome_font_rendering desktop_gnome_peripherals_keyboard_xkb fontilus themus

%post
%post_ldconfig
%gconf2_install %schemas
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %schemas
fi

%postun
%postun_ldconfig
%clean_menus

%files -f %_name-2.0.lang
%_bindir/*
%_libexecdir/*
%_libdir/*.so.*
%_libdir/window-manager-settings/*.so
%_libdir/bonobo/*.so
%_libdir/bonobo/servers/*
%_libdir/gnome-vfs-2.0/modules/*.so
%_datadir/applications/*
%_datadir/application-registry/*
%dir %_datadir/%_name
#%_datadir/%_name/*
%dir %_datadir/%_name-2.0
%dir %_datadir/%_name-2.0/capplets
%dir %_datadir/%_name-2.0/icons
%dir %_datadir/%_name-2.0/interfaces
%dir %_datadir/%_name-2.0/pixmaps
%dir %_datadir/%_name-2.0/xrdb
%_datadir/%_name-2.0/capplets/*
%_datadir/icons/gnome/48x48/apps/accessibility-directory.png
%_datadir/%_name-2.0/icons/*
%_datadir/%_name-2.0/interfaces/*
%_datadir/%_name-2.0/pixmaps/*
%_datadir/%_name-2.0/xrdb/*
%_datadir/gnome/vfolders/*
%_datadir/gnome/cursor-fonts
%_datadir/gnome-2.0/ui/*
%_datadir/idl/*
%_datadir/mime-info/*
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%config %_sysconfdir/gnome-vfs-2.0/modules/*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/bonobo/*.a
%_libdir/window-manager-settings/*.a
%_libdir/gnome-vfs-2.0/modules/*.a
%endif

%changelog
* Fri Apr 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Thu Apr 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0.3-alt1
- 2.6.0.3

* Sat Mar 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Fri Feb 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Thu Feb 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt3
- fix GNOME_SettingsDaemon.server

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt2
- rebuild with libxklavier-0.97

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Sat Jan 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- do not package .la files.
- do not build %%name-devel-static subpackage by default.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Tue Jul 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt2
- remove %%preun with %%gconf2_uninstall.

* Mon Jul 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jun 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Thu May 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Fri Mar 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Wed Feb 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Thu Jan 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Thu Dec 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Sun Dec 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt2
- ugly theme_switcher updated from cvs.

* Sun Nov 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Fri Oct 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1.1-alt2
- Renamed to gnome-control-center.

* Sat Oct 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1.1-alt1.2
- Rebuild with new pango, gtk, gnome-desktop (soname changed).

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.1.1-alt1.1
- fixed %post script (Yuri don't use comma in %gconf2_install macros)

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1.1-alt1
- 2.0.1.1

* Fri Jul 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build control-center for GNOME2.
